List your collection
List the releases in your Discogs collection, with folder.
GET https://cotlet.dev/api/v1/discogs/collections
read
Returns collection items with release, folder and the date added. Use it to check whether a release is already in your collection before you add it.
Parameters
| Name | Type | Description |
|---|---|---|
| folder string | string | Folder name. Leave out for all folders. |
| page integer | integer | Page number, starting at 1. |
Request
curl https://cotlet.dev/api/v1/discogs/collections \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("discogs", "list_collection") const result = await cotlet.call('discogs', 'list_collection'); cotlet call discogs list_collection Example response
{
"items": [
{
"release_id": 4417820,
"title": "Night Drive / Blue Room",
"folder": "Uncategorized",
"added": "2026-09-02"
}
],
"page": 1,
"pages": 1
}